import { DataGrid } from '@mui/x-data-grid';

interface Props {
    rows: any,
    columns: any
}

export default function DataTable(props: Props) {

    return (
        <DataGrid
            style={{ width: "100%", height: "100%" }}
            rows={props.rows}
            columns={props.columns}
            initialState={{
                pagination: {
                    paginationModel: { page: 0, pageSize: 10 },
                },
            }}
            pageSizeOptions={[10, 20, 50, 100]}
            checkboxSelection

            disableRowSelectionOnClick

        />
    );
}